## GdaReportDocbookDocument

GdaReportDocbookDocument — Report document based on the DocBook dialect

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaReportDocument * | gda_report_docbook_document_new ()

## Properties

gchar * | fo-stylesheet | Read / Write
gchar * | fop-path | Read / Write
gchar * | html-stylesheet | Read / Write
gchar * | java-home | Read / Write

## Types and Values

struct | GdaReportDocbookDocument

## Object Hierarchy

        GObject
        ╰── GdaReportDocument
            ╰── GdaReportDocbookDocument

## Includes

    #include <libgda-report/gda-report-engine.h>

## Description

## Functions

### gda_report_docbook_document_new ()

    GdaReportDocument *
    gda_report_docbook_document_new (GdaReportEngine *engine);

Creates a new GdaReportDocbookDocument using `engine` if specified

#### Parameters

engine | a GdaReportEngine, or `NULL` |

#### Returns

a new GdaReportDocbookDocument object

## Types and Values

### struct GdaReportDocbookDocument

    struct GdaReportDocbookDocument;

## Property Details

### The `“fo-stylesheet”` property

      “fo-stylesheet”            gchar *

Owner: GdaReportDocbookDocument

Flags: Read / Write

Default value: NULL

### The `“fop-path”` property

      “fop-path”                 gchar *

Owner: GdaReportDocbookDocument

Flags: Read / Write

Default value: NULL

### The `“html-stylesheet”` property

      “html-stylesheet”          gchar *

Owner: GdaReportDocbookDocument

Flags: Read / Write

Default value: NULL

### The `“java-home”` property

      “java-home”                gchar *

Owner: GdaReportDocbookDocument

Flags: Read / Write

Default value: NULL

## See Also

GdaReportDocument